summaryrefslogtreecommitdiffstats
path: root/desktop/xfce4-i3-workspaces-plugin
diff options
context:
space:
mode:
author Lockywolf2023-05-01 13:26:32 +0200
committer Willy Sudiarto Raharjo2023-05-06 03:28:23 +0200
commitd23e43850da39c5edb27f36dc23b3c97f1a3135a (patch)
treeb9ab2ab81b13986ced1448030f0bd378b6678947 /desktop/xfce4-i3-workspaces-plugin
parentadd2c0837e28bbf1d1223ea4e9dd1017a248f885 (diff)
downloadslackbuilds-d23e43850da39c5edb27f36dc23b3c97f1a3135a.tar.gz
desktop/xfce4-i3-workspaces-plugin: Added (A workspaces plugin)
A workspaces plugin for xfce4 and i3 WM Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/xfce4-i3-workspaces-plugin')
-rw-r--r--desktop/xfce4-i3-workspaces-plugin/README9
-rw-r--r--desktop/xfce4-i3-workspaces-plugin/doinst.sh5
-rw-r--r--desktop/xfce4-i3-workspaces-plugin/slack-desc19
-rw-r--r--desktop/xfce4-i3-workspaces-plugin/xfce4-i3-workspaces-plugin.SlackBuild134
-rw-r--r--desktop/xfce4-i3-workspaces-plugin/xfce4-i3-workspaces-plugin.info10
5 files changed, 177 insertions, 0 deletions
diff --git a/desktop/xfce4-i3-workspaces-plugin/README b/desktop/xfce4-i3-workspaces-plugin/README
new file mode 100644
index 0000000000..55f5c9be53
--- /dev/null
+++ b/desktop/xfce4-i3-workspaces-plugin/README
@@ -0,0 +1,9 @@
+A workspaces plugin for xfce4 and the i3 window manager.
+
+Present a list of buttons, one for each workspace, labeled with the
+workspace name. The focused workspace is marked with a bold label.
+Urgent workspaces are marked with red labels. Different colors can be
+configured for the label in focused/non-focused states. Support for
+strip workspace numbers configuration. Clicking on a workspace button
+will navigate you to the respective workspace.
+
diff --git a/desktop/xfce4-i3-workspaces-plugin/doinst.sh b/desktop/xfce4-i3-workspaces-plugin/doinst.sh
new file mode 100644
index 0000000000..4110f5514d
--- /dev/null
+++ b/desktop/xfce4-i3-workspaces-plugin/doinst.sh
@@ -0,0 +1,5 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/xfce4-i3-workspaces-plugin/slack-desc b/desktop/xfce4-i3-workspaces-plugin/slack-desc
new file mode 100644
index 0000000000..9a48f98ad0
--- /dev/null
+++ b/desktop/xfce4-i3-workspaces-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4-i3-workspaces-plugin: xfce4-i3-workspaces-plugin (A workspaces plugin for xfce4 and i3 WM)
+xfce4-i3-workspaces-plugin:
+xfce4-i3-workspaces-plugin: xfce4-i3-workspaces-plugin adds a widget for xfce4-panel, which
+xfce4-i3-workspaces-plugin: can display i3 workspaces and their status. Highly recommended for
+xfce4-i3-workspaces-plugin: people using i3 as an xfce4 window manager, instead of xfwm4.
+xfce4-i3-workspaces-plugin:
+xfce4-i3-workspaces-plugin:
+xfce4-i3-workspaces-plugin:
+xfce4-i3-workspaces-plugin:
+xfce4-i3-workspaces-plugin: Homepage: https://github.com/denesb/xfce4-i3-workspaces-plugin
+xfce4-i3-workspaces-plugin:
diff --git a/desktop/xfce4-i3-workspaces-plugin/xfce4-i3-workspaces-plugin.SlackBuild b/desktop/xfce4-i3-workspaces-plugin/xfce4-i3-workspaces-plugin.SlackBuild
new file mode 100644
index 0000000000..62e0ad4592
--- /dev/null
+++ b/desktop/xfce4-i3-workspaces-plugin/xfce4-i3-workspaces-plugin.SlackBuild
@@ -0,0 +1,134 @@
+#!/bin/bash
+
+# Copyright Lockywolf, 2023
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=xfce4-i3-workspaces-plugin
+VERSION=${VERSION:-1.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+
+ARCH=${ARCH:-}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+PRINT_PACKAGE_NAME=${PRINT_PACKAGE_NAME:-}
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -Wno-error -Wno-error=deprecated-declarations"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+#rm COPYING
+rm INSTALL
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+
+# Configure:
+bash autogen.sh
+make distclean
+mkdir build
+(
+cd build
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+../configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux || exit 1
+
+
+# # Build and install:
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+)
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || :
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || :
+)
+
+
+mkdir -p $PKG/usr/doc/${PRGNAM}-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat "$CWD/slack-desc" > $PKG/usr/doc/$PRGNAM-$VERSION/slack-desc
+cat "$CWD/README" > $PKG/usr/doc/$PRGNAM-$VERSION/README
+
+cp -a \
+ README README.md THANKS COPYING COPYING.LIB ChangeLog NEWS \
+ $PKG/usr/doc/${PRGNAM}-$VERSION
+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
+
diff --git a/desktop/xfce4-i3-workspaces-plugin/xfce4-i3-workspaces-plugin.info b/desktop/xfce4-i3-workspaces-plugin/xfce4-i3-workspaces-plugin.info
new file mode 100644
index 0000000000..9a754ababa
--- /dev/null
+++ b/desktop/xfce4-i3-workspaces-plugin/xfce4-i3-workspaces-plugin.info
@@ -0,0 +1,10 @@
+PRGNAM="xfce4-i3-workspaces-plugin"
+VERSION="1.4.1"
+HOMEPAGE="https://github.com/denesb/xfce4-i3-workspaces-plugin"
+DOWNLOAD="https://github.com/denesb/xfce4-i3-workspaces-plugin/archive/1.4.1/xfce4-i3-workspaces-plugin-1.4.1.tar.gz"
+MD5SUM="bd12ea67d7d69369f0ad04c5ec3a2f99"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="i3ipc-glib"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.xfce4-i3-workspaces-plugin_2023-04-22@lockywolf.net"